<div class='register__container'>

  <div>
    <h2 i18n>Sign Up</h2>
  </div>

  <form class='register__form' [formGroup]='registerForm' (ngSubmit)='onSubmit()'>

    <mat-form-field class='register__full-width' appearance='fill'>
      <mat-label i18n>Name</mat-label>
      <input type='text' matInput placeholder='Enter your name' formControlName='name' required>
    </mat-form-field>

    <mat-form-field class='register__full-width' appearance='fill'>
      <mat-label i18n>Email</mat-label>
      <input type='email' matInput placeholder='Enter your email' formControlName='email' required>
    </mat-form-field>

    <mat-form-field class='register__full-width' appearance='fill'>
      <mat-label i18n>Password</mat-label>
      <input type='password' matInput placeholder='Enter your password' formControlName='password' required>
    </mat-form-field>

    <mat-form-field class='register__full-width' appearance='fill'>
      <mat-label i18n>Confirm password</mat-label>
      <input type='password' matInput placeholder='Confirm password' formControlName='confirm' required>
    </mat-form-field>

    <mat-form-field  class='register__full-width' appearance="fill">
      <mat-label i18n>Choose your role</mat-label>
      <mat-select formControlName='role' required>
        <mat-option i18n>Clear</mat-option>
        <mat-option value="DRIVER" i18n>Driver</mat-option>
        <mat-option value="SHIPPER" i18n>Shipper</mat-option>
      </mat-select>
    </mat-form-field>

    <button type='submit' mat-raised-button class='register__btn' color='primary' [disabled]='!registerForm.valid || isLoading' i18n>Register</button>
    <a mat-raised-button color="primary" routerLink='/login' i18n>Sign In</a>

  </form>
  <div *ngIf='isLoading' class='spinner'>
    <app-spinner></app-spinner>
  </div>
</div>
